Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date: Wed, 30 Aug 2017 10:30:19 -0600
From: Kurt Seifried <>
To: oss-security <>
Subject: RubyGems flaws

Does anyone know if these got CVEs?

Security fixes:

*Fix a DNS request hijacking vulnerability. Discovered by Jonathan
Claudius, fix by Samuel Giddins.
*Fix an ANSI escape sequence vulnerability. Discovered by Yusuke Endoh, fix
by Evan Phoenix.
*Fix a DOS vulernerability in the query command. Discovered by Yusuke
Endoh, fix by Samuel Giddins.
*Fix a vulnerability in the gem installer that allowed a malicious gem to
overwrite arbitrary files. Discovered by Yusuke Endoh, fix by Samuel

Affected Versions

*Ruby 2.2 series: 2.2.7 and earlier
*Ruby 2.3 series: 2.3.4 and earlier
*Ruby 2.4 series: 2.4.1 and earlier
*prior to trunk revision 59672

Kurt Seifried -- Red Hat -- Product Security -- Cloud
PGP A90B F995 7350 148F 66BF 7554 160D 4553 5E26 7993
Red Hat Product Security contact:

Powered by blists - more mailing lists

Your e-mail address:

Please check out the Open Source Software Security Wiki, which is counterpart to this mailing list.

Powered by Openwall GNU/*/Linux - Powered by OpenVZ